> For the complete documentation index, see [llms.txt](https://docs.hex-rays.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hex-rays.com/8.5/user-guide/disassembler/disassembly-gallery/alpha-processor-unix-elf.md).

# Alpha Processor – Unix ELF

Assembler code

```armasm

.text:0000000120001F30                 br      loc_120001FD0
.text:0000000120001F34 # ---------------------------------------------------------------------------
.text:0000000120001F34
.text:0000000120001F34 loc_120001F34:                          # CODE XREF: main+274↑j
.text:0000000120001F34                 addq    $sp, 0xB8, $1 # '¸'
.text:0000000120001F38                 ldq     $16, 0x220+stream($sp) # stream
.text:0000000120001F3C                 ldq     $17, ((off_120103268 - 0x12010B130) and 0xFFFF)($gp)# off_120103268 # format
.text:0000000120001F40                 mov     $1, $18
.text:0000000120001F44                 ldq     $27, ((fscanf_ptr - 0x12010B130) and 0xFFFF)($gp)# fscanf_ptr
.text:0000000120001F48                 jsr     $26, ($27), 0x1620# fscanf
.text:0000000120001F4C                 ldah    $gp, 0x11($26)
.text:0000000120001F50                 lda     $gp, -0x6E1C($gp)
.text:0000000120001F54                 # gp = 000000012010B130
.text:0000000120001F54                 mov     $0, $1
.text:0000000120001F58                 subq    $1, 1, $2
.text:0000000120001F5C                 bne     $2, loc_120001FAC
.text:0000000120001F60                 addq    $sp, 0xB8, $1 # '¸'
.text:0000000120001F64                 mov     $1, $16         # s1
.text:0000000120001F68                 ldq     $17, ((s2 - 0x12010B130) and 0xFFFF)($gp)# s2 # s2
.text:0000000120001F6C                 ldq     $27, ((strcmp_ptr - 0x12010B130) and 0xFFFF)($gp)# strcmp_ptr
.text:0000000120001F70                 jsr     $26, ($27), 0x16DC# strcmp
.text:0000000120001F74                 ldah    $gp, 0x11($26)
.text:0000000120001F78                 lda     $gp, -0x6E44($gp)
.text:0000000120001F7C                 # gp = 000000012010B130
.text:0000000120001F7C                 mov     $0, $1
.text:0000000120001F80                 addq    $1, 0, $2
.text:0000000120001F84                 bne     $2, loc_120001F94
.text:0000000120001F88                 ldq     $1, ((clockport_ptr - 0x12010B130) and 0xFFFF)($gp)# clockport_ptr
.text:0000000120001F8C                 lda     $2, 0x170($31)
.text:0000000120001F90                 stl     $2, 0($1)
.text:0000000120001F94
.text:0000000120001F94 loc_120001F94:                          # CODE XREF: main+2CC↑j
.text:0000000120001F94                 ldq     $16, 0x220+stream($sp) # stream
.text:0000000120001F98                 ldq     $27, ((fclose_ptr - 0x12010B130) and 0xFFFF)($gp)# fclose_ptr
.text:0000000120001F9C                 jsr     $26, ($27), 0x1698# fclose

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hex-rays.com/8.5/user-guide/disassembler/disassembly-gallery/alpha-processor-unix-elf.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
